> For the complete documentation index, see [llms.txt](https://docs.cyberway.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cyberway.io/software_manuals/how_to_guides/stop_node_using_docker.md).

# How To Stop A Node Using Docker

## Goal

Correctly stop a node using docker.

## Steps

Update your doker image:

```bash
$ sudo docker pull cyberway/cyberway:v2.1.0
```

Pull out the current docker-compose.yml file:

```bash
$ sudo curl https://raw.githubusercontent.com/cyberway/cyberway.launch/master/docker-compose.yml --output /var/lib/cyberway/docker-compose.yml
```

Tell docker-compose to update containers following the directions given in docker-compose.yml:

```bash
$ cd /var/lib/cyberway
$ sudo docker-compose up -t 120 –d
```

## Useful links

* [Configuring the Docker Image](https://docs.cyberway.io/validators/testnet_installation/docker_configuration)
* [Commands Applicable to Any Kind of Container](https://docs.cyberway.io/validators/testnet_installation/main_commands)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/stop_node_using_docker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
